Subject: RE: PMP> RE: Comments on draft-ietf-printermib-mib-info-05.txt

From: "Hastings, Tom N" <[email-masked]>
Date: Wed, 20 Sep 2000 15:35:31 -0700

Gary,

I was hoping for something more than this.

I looked at this RFC and it is designed so that WORD produces CourierNew and
only CourierNew fixed pitch font documents.  I believe the many folks would
rather read documents with a more readable font.

Bob Herriot has a tool which is working on Windows 98 and we are still
trying to get some time to figure out why it isn't working on NT.  It takes
the .txt file produced from the generic print driver and converts it into an
IETF .txt file.  Then we can have the best of both worlds.

Thanks,
Tom

-----Original Message-----
From: Gocek, Gary [mailto:[email-masked]]
Sent: Monday, August 07, 2000 05:43
To: Hastings, Tom N; 'Ron Bergman'
Cc: [email-masked]'; Manros, Carl-Uno B; Herriot, Robert; 'McDonald, Ira
at Sharp'; 'McDonald, Ira at Xerox'
Subject: RE: PMP> RE: Comments on draft-ietf-printermib-mib-info-05.txt 

Two guys from Microsoft (Hain & Gahrns) recently wrote an Internet Draft on
the subject of using MS Word for RFC-type documents.  See:
ftp://ftp.ietf.org/internet-drafts/draft-hain-msword-template-02.txt
This I-D has all the calculations for margins and such.  Thanks to Ira for
originally pointing this out to me a few weeks ago.

Gary

> -----Original Message-----
> From: Hastings, Tom N 
> Sent: Friday, August 04, 2000 7:46 PM
> To: Gocek, Gary; 'Ron Bergman'
> Cc: [email-masked]; Manros, Carl-Uno; Herriot, Bob; McDonald, 
> Ira at Sharp;
> McDonald, Ira at Xerox
> Subject: RE: PMP> RE: Comments on 
> draft-ietf-printermib-mib-info-05.txt 
> 
> 
> Ron and Gary,
> 
> About indenting by 3 spaces (we've never done it for IPP 
> drafts, but the RFC editor went to the trouble of changing 
> the text for us and inserting the three leading spaces).  So 
> doing it ahead of time will help get things done faster, I 
> would assume.
> 
> You could redefine the plain text style to be indented 3 
> spaces.  However, you'd want to introduce another style for 
> the actual MIB which doesn't want to be intended.  Also in 
> the text portion there are several excerpts from other MIBs 
> that already have leading spaces and will cause line wrap if 
> they are indented an additional 3 spaces for the plain text style.
> 
> So may if the plain text styles for MIB data is changed to 
> some new style, say, mib, which doesn't have the indent, that 
> it will be straightforward.
> 
> Tom

---

From: "Gocek, Gary" <[email-masked]>
Date: Thu, 21 Sep 2000 09:24:04 -0400

In defense of Hain & Gahrns, they are not MS Word developers.  They are two
guys at Microsoft who write standards, and they wanted to use MS Word.
Their intent was to show how MS Word can produce a source document that
easily generates an IETF document.  I agree that it would be nice to take an
arbitrary document with pleasant formatting and turn it into IETF
fixed-pitch format.

Gary

> Sent: Wednesday, September 20, 2000 6:36 PM
> To: Gocek, Gary; Hastings, Tom N; 'Ron Bergman'
> I looked at this RFC and it is designed so that WORD produces 
> CourierNew and only CourierNew fixed pitch font documents.  I 
> believe the many folks would rather read documents with a 
> more readable font.
> 
> Bob Herriot has a tool which is working on Windows 98 and we 
> are still trying to get some time to figure out why it isn't 
> working on NT.  It takes the .txt file produced from the 
> generic print driver and converts it into an IETF .txt file.  
> Then we can have the best of both worlds.
> 
> Thanks,
> Tom
>